<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: SemanticSearchImplementation.SemanticSearch Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html">SemanticSearch</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="class_semantic_search_implementation_1_1_semantic_search-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.SemanticSearch Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Entry class which interprets the command line arguments and calls corresponding functions.  
 <a href="class_semantic_search_implementation_1_1_semantic_search.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html">Options</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to define valid options, and to receive the parsed options.  <a href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:aea0d0c35d8531a60cc375401a196ec18"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html#aea0d0c35d8531a60cc375401a196ec18">Main</a> (string[] args)</td></tr>
<tr class="separator:aea0d0c35d8531a60cc375401a196ec18"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a3a28b585e0b5c9847245cacebd95d73f"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html#a3a28b585e0b5c9847245cacebd95d73f">CheckDocumentIsSet</a> (string doc)</td></tr>
<tr class="memdesc:a3a28b585e0b5c9847245cacebd95d73f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if a document is set.  <a href="class_semantic_search_implementation_1_1_semantic_search.html#a3a28b585e0b5c9847245cacebd95d73f">More...</a><br /></td></tr>
<tr class="separator:a3a28b585e0b5c9847245cacebd95d73f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a2639e1b55f6887944e59d48ee34e4a62"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html#a2639e1b55f6887944e59d48ee34e4a62">SEARCH</a> = &quot;search&quot;</td></tr>
<tr class="separator:a2639e1b55f6887944e59d48ee34e4a62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3df2e52026edac177f0f2155af4b71c5"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html#a3df2e52026edac177f0f2155af4b71c5">REINDEX</a> = &quot;reindex&quot;</td></tr>
<tr class="separator:a3df2e52026edac177f0f2155af4b71c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c6976528e2d076b924e34e91bc4e399"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html#a9c6976528e2d076b924e34e91bc4e399">INDEX</a> = &quot;index&quot;</td></tr>
<tr class="separator:a9c6976528e2d076b924e34e91bc4e399"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6dbae7f83deb95b8a42d5b287ae00d78"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html#a6dbae7f83deb95b8a42d5b287ae00d78">DELETE</a> = &quot;delete&quot;</td></tr>
<tr class="separator:a6dbae7f83deb95b8a42d5b287ae00d78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1674032f17b4fa7ac0f0d1c11a4ad256"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html#a1674032f17b4fa7ac0f0d1c11a4ad256">ADD</a> = &quot;add&quot;</td></tr>
<tr class="separator:a1674032f17b4fa7ac0f0d1c11a4ad256"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Entry class which interprets the command line arguments and calls corresponding functions. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a3a28b585e0b5c9847245cacebd95d73f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a28b585e0b5c9847245cacebd95d73f">&#9670;&nbsp;</a></span>CheckDocumentIsSet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool SemanticSearchImplementation.SemanticSearch.CheckDocumentIsSet </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>doc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Checks if a document is set. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">doc</td><td>ID of the metadata graph.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd></dd></dl>

</div>
</div>
<a id="aea0d0c35d8531a60cc375401a196ec18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea0d0c35d8531a60cc375401a196ec18">&#9670;&nbsp;</a></span>Main()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SemanticSearchImplementation.SemanticSearch.Main </td>
          <td>(</td>
          <td class="paramtype">string[]&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a1674032f17b4fa7ac0f0d1c11a4ad256"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1674032f17b4fa7ac0f0d1c11a4ad256">&#9670;&nbsp;</a></span>ADD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.SemanticSearch.ADD = &quot;add&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6dbae7f83deb95b8a42d5b287ae00d78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6dbae7f83deb95b8a42d5b287ae00d78">&#9670;&nbsp;</a></span>DELETE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.SemanticSearch.DELETE = &quot;delete&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9c6976528e2d076b924e34e91bc4e399"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c6976528e2d076b924e34e91bc4e399">&#9670;&nbsp;</a></span>INDEX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.SemanticSearch.INDEX = &quot;index&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3df2e52026edac177f0f2155af4b71c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3df2e52026edac177f0f2155af4b71c5">&#9670;&nbsp;</a></span>REINDEX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.SemanticSearch.REINDEX = &quot;reindex&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2639e1b55f6887944e59d48ee34e4a62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2639e1b55f6887944e59d48ee34e4a62">&#9670;&nbsp;</a></span>SEARCH</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.SemanticSearch.SEARCH = &quot;search&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_semantic_search_8cs.html">SemanticSearch.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
